diff -r 0f04c7da33f1 src/lib/ioloop-epoll.c
--- a/src/lib/ioloop-epoll.c	Mon Sep 21 18:36:25 2009 +0300
+++ b/src/lib/ioloop-epoll.c	Wed Sep 23 11:32:03 2009 +0300
@@ -110,6 +110,7 @@ void io_loop_handle_add(struct io_file *
 	op = first ? EPOLL_CTL_ADD : EPOLL_CTL_MOD;
 
 	if (epoll_ctl(ctx->epfd, op, io->fd, &event) < 0) {
+		fd_debug_verify_leaks(io->fd);
 		i_fatal("io_loop_handle_add: epoll_ctl(%d, %d): %m",
 			op, io->fd);
 	}
